Library Version 18.1.40

DB_ENV->mutex_unlock()
Prev | Chapter 9. Mutex Methods | Next

## DB_ENV->mutex_unlock()

    #include <db.h>

    int
    DB_ENV->mutex_unlock(DB_ENV *dbenv, db_mutex_t mutex);

The `DB_ENV->mutex_unlock()` method unlocks the mutex locked by DB_ENV->mutex_lock() .

The `DB_ENV->mutex_unlock()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### mutex

The mutex parameter is a mutex previously locked by DB_ENV->mutex_lock() .

### Errors

The `DB_ENV->mutex_unlock()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB_ENV

### See Also

Mutex Methods

Prev | Up | Next
DB_ENV->mutex_stat_print() | Home | Chapter 10. Replication Methods